Bug 188126 - net/py-spreadmodule : deprecate
Summary: net/py-spreadmodule : deprecate
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-31 11:30 UTC by Rene Ladan
Modified: 2014-04-21 19:30 UTC (History)
0 users

See Also:


Attachments
file.diff (500 bytes, patch)
2014-03-31 11:30 UTC, Rene Ladan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rene Ladan freebsd_committer 2014-03-31 11:30:00 UTC
net/py-spreadmodule depends on net/spread, which expired on 2014-03-10
Mark this port for removal on 2014-05-01

How-To-Repeat: Tools/scripts/rmport net/spread
Comment 1 Edwin Groothuis freebsd_committer 2014-03-31 11:30:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

wenheping@gmail.com => wen@ (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-03-31 11:30:04 UTC
Maintainer of net/py-spreadmodule,

Please note that PR ports/188126 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/188126

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2014-03-31 11:30:05 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 dfilter service freebsd_committer 2014-04-06 01:34:38 UTC
Author: wen
Date: Sun Apr  6 00:34:35 2014
New Revision: 350282
URL: http://svnweb.freebsd.org/changeset/ports/350282
QAT: https://qat.redports.org/buildarchive/r350282/

Log:
  - Mark DEPRECATED
  
  PR:		188126
  Submitted by:	rene@
  Approved by:	portmgr(antoine)

Modified:
  head/net/py-spreadmodule/Makefile

Modified: head/net/py-spreadmodule/Makefile
==============================================================================
--- head/net/py-spreadmodule/Makefile	Sat Apr  5 23:49:56 2014	(r350281)
+++ head/net/py-spreadmodule/Makefile	Sun Apr  6 00:34:35 2014	(r350282)
@@ -12,6 +12,9 @@ EXTRACT_SUFX=	.tgz
 MAINTAINER=	wenheping@gmail.com
 COMMENT=	Python extension module for the Spread group communications package
 
+DEPRECATED=	Depends on expired net/spread
+EXPIRATION_DATE=2014-05-01
+
 LIB_DEPENDS=	spread.1:${PORTSDIR}/net/spread
 
 PLIST_FILES=	%%PYTHON_SITELIBDIR%%/spread.so
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Wen Heping freebsd_committer 2014-04-06 01:35:09 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 6 Chris Hutchinson 2014-04-21 19:24:41 UTC
I believe I've created a patch(1) that eliminates the need
to depreciate/remove this port.

Please see:

http://www.freebsd.org/cgi/query-pr.cgi?pr=188853

for details.

--Chris